<script>
// ruleid: okay-avatar-vue-component
import { GlAvatar } from '@gitlab/ui';
// ruleid: okay-avatar-vue-component
import { GlAvatarLabeled } from '@gitlab/ui';
// ruleid: okay-avatar-vue-component
import { GlAvatarsInline } from '@gitlab/ui';
// ruleid: okay-avatar-vue-component
import { GlAvatarLink } from '@gitlab/ui';

export default {
  avatarUrl: 'https:://gitlab.com/avatar.png',
  components: {
    GlAvatar,
    GlAvatarLabeled,
    GlAvatarsInline,
    GlAvatarLink
  },
  computed: {
    classes() {
      // ruleid: avatar-class-vue
      return ['other-class', 'gl-avatar', 'and-another']
    },
    cropperOptions() {
      return {
        // ok: avatar-class-vue
        previewImage: '.avatar-image .gl-avatar'
      }
    }
  },
  methods: {
    doDomQuery() {
      // ok: avatar-class-vue
      document.querySelector('.gl-avatar')
    }
  }
}
</script>
<template>
  <div>
    <!-- ok: avatar-class-vue -->
    <gl-avatar :src="avatarUrl" :size="24" />

    <!-- ok: avatar-class-vue -->
    <gl-avatar-link target="blank" href="https://gitlab.com/gitlab-org/gitlab">
      <!-- ok: avatar-class-vue -->
      <gl-avatar
          :size="32"
          :src="avatarUrl"
      />
    <!-- ok: avatar-class-vue -->
    </gl-avatar-link>

    <!-- ruleid: avatar-class-vue -->
    <div class="gl-avatar">
      I am a bad avatar
    </div>
    <!-- ruleid: avatar-class-vue -->
    <div class="gl-avatars-inline">
      We're bad inline avatars
    </div>
    <!-- ruleid: avatar-class-vue -->
    <div class="gl-avatar-link">
      I am a bad avatar link
      <!-- ruleid: avatar-class-vue -->
      <div class="gl-avatar-labeled">
        With a bad-bad labeled avatar inside
      </div>
    </div>
  </div>
</template>
